package cn.com.qmth.examcloud.core.questions.dao;

import java.util.List;

import org.springframework.data.mongodb.repository.MongoRepository;
import org.springframework.data.repository.query.QueryByExampleExecutor;

import cn.com.qmth.examcloud.core.questions.dao.entity.RandomPaperQuestion;

public interface RandomPaperQuestionRepo
		extends MongoRepository<RandomPaperQuestion, String>, QueryByExampleExecutor<RandomPaperQuestion> {

	void deleteByRandomPaperId(String id);

	List<RandomPaperQuestion> findByRandomPaperId(String id);

}
