package cn.com.qmth.examcloud.core.questions.dao;

import cn.com.qmth.examcloud.core.questions.dao.entity.Paper;
import cn.com.qmth.examcloud.core.questions.dao.entity.PaperDetail;
import org.springframework.data.mongodb.repository.MongoRepository;
import org.springframework.data.repository.query.QueryByExampleExecutor;

import java.util.List;

public interface PaperDetailRepo extends MongoRepository<PaperDetail, String>, QueryByExampleExecutor<PaperDetail> {
    List<PaperDetail> findByPaperOrderByNumber(Paper paper);

    List<PaperDetail> findByPaper(Paper paper);

	void deleteByOrgId(Long toRootOrgId);
}
